package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.dto.KwMerchantMeterDataDto;
import com.iformall.domain.dto.KwMerchantMeterDto;
import com.iformall.domain.po.KwMerchantMeter;
import com.iformall.domain.vo.KwMerchantMeterDataVo;
import com.iformall.domain.vo.KwMerchantMeterVo;
import com.iformall.domain.vo.MerchantMeterVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface KwMerchantMeterMapper extends CommonMapper<KwMerchantMeter, Long> {

    List<KwMerchantMeterVo> findVoList(KwMerchantMeterDto param);
    List<KwMerchantMeterDataVo> findDataVoList(KwMerchantMeterDataDto param);

    KwMerchantMeterVo getById(@Param("merchantId")Long merchantId);

    int unbindBatch(@Param("merchantId")Long merchantId);
    int unbind(@Param("meterId")Long meterId);

    List<MerchantMeterVo> getMerchantMeter(String tenantId);

}
